/*******************************************************************************
* File Name: B_EN.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_B_EN_H) /* Pins B_EN_H */
#define CY_PINS_B_EN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "B_EN_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    B_EN_Write(uint8 value) ;
void    B_EN_SetDriveMode(uint8 mode) ;
uint8   B_EN_ReadDataReg(void) ;
uint8   B_EN_Read(void) ;
uint8   B_EN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define B_EN_DRIVE_MODE_BITS        (3)
#define B_EN_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - B_EN_DRIVE_MODE_BITS))

#define B_EN_DM_ALG_HIZ         (0x00u)
#define B_EN_DM_DIG_HIZ         (0x01u)
#define B_EN_DM_RES_UP          (0x02u)
#define B_EN_DM_RES_DWN         (0x03u)
#define B_EN_DM_OD_LO           (0x04u)
#define B_EN_DM_OD_HI           (0x05u)
#define B_EN_DM_STRONG          (0x06u)
#define B_EN_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define B_EN_MASK               B_EN__MASK
#define B_EN_SHIFT              B_EN__SHIFT
#define B_EN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define B_EN_PS                     (* (reg32 *) B_EN__PS)
/* Port Configuration */
#define B_EN_PC                     (* (reg32 *) B_EN__PC)
/* Data Register */
#define B_EN_DR                     (* (reg32 *) B_EN__DR)
/* Input Buffer Disable Override */
#define B_EN_INP_DIS                (* (reg32 *) B_EN__PC2)


#if defined(B_EN__INTSTAT)  /* Interrupt Registers */

    #define B_EN_INTSTAT                (* (reg32 *) B_EN__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define B_EN_DRIVE_MODE_SHIFT       (0x00u)
#define B_EN_DRIVE_MODE_MASK        (0x07u << B_EN_DRIVE_MODE_SHIFT)


#endif /* End Pins B_EN_H */


/* [] END OF FILE */
