/*******************************************************************************
* File Name: SAMPLE_ISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_SAMPLE_ISR_H)
#define CY_ISR_SAMPLE_ISR_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void SAMPLE_ISR_Start(void);
void SAMPLE_ISR_StartEx(cyisraddress address);
void SAMPLE_ISR_Stop(void);

CY_ISR_PROTO(SAMPLE_ISR_Interrupt);

void SAMPLE_ISR_SetVector(cyisraddress address);
cyisraddress SAMPLE_ISR_GetVector(void);

void SAMPLE_ISR_SetPriority(uint8 priority);
uint8 SAMPLE_ISR_GetPriority(void);

void SAMPLE_ISR_Enable(void);
uint8 SAMPLE_ISR_GetState(void);
void SAMPLE_ISR_Disable(void);

void SAMPLE_ISR_SetPending(void);
void SAMPLE_ISR_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the SAMPLE_ISR ISR. */
#define SAMPLE_ISR_INTC_VECTOR            ((reg32 *) SAMPLE_ISR__INTC_VECT)

/* Address of the SAMPLE_ISR ISR priority. */
#define SAMPLE_ISR_INTC_PRIOR             ((reg32 *) SAMPLE_ISR__INTC_PRIOR_REG)

/* Priority of the SAMPLE_ISR interrupt. */
#define SAMPLE_ISR_INTC_PRIOR_NUMBER      SAMPLE_ISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable SAMPLE_ISR interrupt. */
#define SAMPLE_ISR_INTC_SET_EN            ((reg32 *) SAMPLE_ISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the SAMPLE_ISR interrupt. */
#define SAMPLE_ISR_INTC_CLR_EN            ((reg32 *) SAMPLE_ISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the SAMPLE_ISR interrupt state to pending. */
#define SAMPLE_ISR_INTC_SET_PD            ((reg32 *) SAMPLE_ISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the SAMPLE_ISR interrupt. */
#define SAMPLE_ISR_INTC_CLR_PD            ((reg32 *) SAMPLE_ISR__INTC_CLR_PD_REG)



#endif /* CY_ISR_SAMPLE_ISR_H */


/* [] END OF FILE */
